Accounts

List accounts

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pageinteger · min: 1 · max: 9007199254740991Optional

Which page to fetch

Default: 1
pageSizeinteger · min: 1 · max: 30Optional

Page size to use

Default: 30
statusstring · enumOptional

Account status

Possible values:
namestringOptional

Search by matching name

governanceTypestring · enumOptional

Account governance type

Possible values:
allowedActionstring · enumOptional

Filter accounts by allowed action for current user

Possible values:
sortBystring · enumOptional

Sort by attribute

Default: createdAtPossible values:
sortOrderstring · enumOptional

Sort order

Default: ascPossible values:
currencystringOptional

Filter accounts by currency

indexnumberOptional

Filter accounts by account index

contractAddressany ofOptional
stringOptional
or
nullOptional
supportstring · enumOptional

Filter accounts by support

Possible values:
typestring · enumOptional

Filter accounts by type

Possible values:
Responses
chevron-right
200

Successful response

application/json
pagenumberRequired

Current page

nextany ofRequired

Next page or null if there is none

numberOptional
or
nullOptional
prevany ofRequired

Previous page or null if there is none

numberOptional
or
nullOptional
pageSizenumberRequired

Max count of items per page

totalnumberRequired

Total count of items

get
/accounts

Get a single account

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Id of the target account

Responses
chevron-right
200

Successful response

application/json
idstringRequired

Internal unique identifier

legacyIdnumberRequired

Legacy internal unique identifier (for retro-compatibility)

namestringRequired

Name

currencystring · min: 1 · max: 40Required

Will be deprecated soon, use network instead. Currency

Pattern: ^\w+$
networkstring · min: 1 · max: 40Required

Network (Same as currency for now)

Pattern: ^\w+$
contractAddressany ofRequired

Token contract address for Token account

stringOptional
or
nullOptional
tokenIdentifierany ofRequired

Token identifier for Token account

stringOptional
or
nullOptional
indexnumberRequired

BIP44 account index

derivationPathstringRequired

Derivation path

statusstring · enumRequired

Status

Possible values:
createdAtstringRequired

Creation timestamp

updatedAtstringRequired

Last modification timestamp

assetone ofRequired

Account asset fields

or
or
or
or
or
or
or
or
or
or
or
or
or
governanceone ofRequired

Governance fields

or
or
get
/accounts/{id}

Last updated